Name:		boom-boot
Version:	0.9
Release:	6
Summary:	libraries and files for helping boot loger entries
License:	GPLv2
URL:		https://github.com/bmr-cymru/boom
Source0:	https://github.com/bmr-cymru/boom/archive/%{version}/boom-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python2-setuptools python3-setuptools python2-devel python3-devel python2-sphinx python3-sphinx

Patch9000:	fix-compile-error-about-sphinx-build.patch

Requires: python3-boom %{name}-conf

%package -n python2-boom
Summary: libraries and files for helping boot loger entries
%{?python_provide:%python_provide python2-boom}
Requires: python2
Recommends: lvm2 %{name}-conf

%package -n python3-boom
Summary: libraries and files for helping boot loger entries
%{?python_provide:%python_provide python3-boom}
Requires: python3
Recommends: lvm2 %{name}-conf 

Conflicts: boom

%package conf
Summary: libraries and files for helping boot loger entries

%package grub2
Summary: libraries and files for helping boot loger entries

%description
In Linux systems, there is a boot manager that support BootLoader Specification
for boot entry configuration, that is Boom.

Boom requires a BLS-compatible boot loader to run:
systemd-boot project or Grub2 with BLS patch (Red Hat Grub2 build
(This support is included in both Red Hat Enterprise Linux 7 and Fedora).

%description -n python2-boom
In Linux systems, there is a boot manager that support BootLoader Specification
for boot entry configuration, that is Boom.

Boom requires a BLS-compatible boot loader to run:
systemd-boot project or Grub2 with BLS patch (Red Hat Grub2 build
(This support is included in both Red Hat Enterprise Linux 7 and Fedora).

This package contains python2 boom module

%description -n python3-boom
In Linux systems, there is a boot manager that support BootLoader Specification
for boot entry configuration, that is Boom.

Boom requires a BLS-compatible boot loader to run:
systemd-boot project or Grub2 with BLS patch (Red Hat Grub2 build
(This support is included in both Red Hat Enterprise Linux 7 and Fedora).

This package contains python3 boom module.

%description conf
In Linux systems, there is a boot manager that support BootLoader Specification
for boot entry configuration, that is Boom.

Boom requires a BLS-compatible boot loader to run:
systemd-boot project or Grub2 with BLS patch (Red Hat Grub2 build
(This support is included in both Red Hat Enterprise Linux 7 and Fedora).

This package contains configuration files for boom.

%description grub2
In Linux systems, there is a boot manager that support BootLoader Specification
for boot entry configuration, that is Boom.

Boom requires a BLS-compatible boot loader to run:
systemd-boot project or Grub2 with BLS patch (Red Hat Grub2 build
(This support is included in both Red Hat Enterprise Linux 7 and Fedora).

This package contains integration scripts for grub2 bootloader.

%package help
Summary:libraries and files for helping boot loger entries

%description help
document files for %{name}

%prep
%autosetup -n boom-%{version} -p1

%build
make -C doc html
rm doc/_build/html/.buildinfo
mv doc/_build/html doc/html
rm -r doc/_build

%py2_build
%py3_build

%install
%py2_install
%py3_install

# Install Grub2 integration scripts
mkdir -p ${RPM_BUILD_ROOT}/etc/grub.d
mkdir -p ${RPM_BUILD_ROOT}/etc/default
install -m 755 etc/grub.d/42_boom ${RPM_BUILD_ROOT}/etc/grub.d
install -m 644 etc/default/boom ${RPM_BUILD_ROOT}/etc/default

# Make configuration directories
# mode 0700 - in line with /boot/grub2 directory:
install -d -m 700 ${RPM_BUILD_ROOT}/boot/boom/profiles
install -d -m 700 ${RPM_BUILD_ROOT}/boot/loader/entries
install -m 644 examples/boom.conf ${RPM_BUILD_ROOT}/boot/boom

mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man8
mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man5
install -m 644 man/man8/boom.8 ${RPM_BUILD_ROOT}/%{_mandir}/man8
install -m 644 man/man5/boom.5 ${RPM_BUILD_ROOT}/%{_mandir}/man5

rm doc/Makefile doc/conf.py

# Test suite currently does not operate in rpmbuild environment
#%%check
#%%{__python3} setup.py test

%files
%license COPYING
%doc README.md
%{_bindir}/boom
%doc %{_mandir}/man*/boom.*

%files -n python2-boom
%license COPYING
%{python2_sitelib}/*

%files -n python3-boom
%license COPYING
%{python3_sitelib}/*

%files conf
%license COPYING
%dir /boot/boom
%config(noreplace) /boot/boom/boom.conf
%dir /boot/boom/profiles
%dir /boot/loader/entries

%files grub2
%license COPYING
%{_sysconfdir}/grub.d/42_boom
%config(noreplace) %{_sysconfdir}/default/boom

%files help
%doc %{_mandir}/man*/boom.*
%doc doc
%doc examples
%doc tests
%doc README.md

%changelog
* Thu Dec 17 2020 xinghe <xinghe1@huawei.com> - 0.9-6
- remove useless comments

* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.9-5
- Package init
